## r-bioc-genomeinfodb 1.34.9

=== DESCRIPTION ===
Package: GenomeInfoDb
Title: Utilities for manipulating chromosome names, including modifying
        them to follow a particular naming style
Description: Contains data and functions that
	define and allow translation between different chromosome
	sequence naming conventions (e.g., "chr1" versus "1"),
	including a function that attempts to place sequence names in
	their natural, rather than lexicographic, order.
biocViews: Genetics, DataRepresentation, Annotation, GenomeAnnotation
URL: https://bioconductor.org/packages/GenomeInfoDb
Video: http://youtu.be/wdEjCYSXa7w
BugReports: https://github.com/Bioconductor/GenomeInfoDb/issues
Version: 1.34.9
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Sonali", "Arora", role="aut"),
	person("Martin", "Morgan", role="aut"),
	person("Marc", "Carlson", role="aut"),
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"),
	person("Prisca Chidimma", "Maduka", role="ctb"),
	person("Atuhurira Kirabo", "Kakopo", role="ctb"),
	person("Emmanuel Chigozie", "Elendu", role="ctb"))
Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
        0.25.12), IRanges (>= 2.13.12)
Imports: stats, stats4, utils, RCurl, GenomeInfoDbData
Suggests: GenomicRanges, Rsamtools, GenomicAlignments, GenomicFeatures,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene, BSgenome,
        BSgenome.Scerevisiae.UCSC.sacCer2, BSgenome.Celegans.UCSC.ce2,
        BSgenome.Hsapiens.NCBI.GRCh38, RUnit, BiocStyle, knitr
VignetteBuilder: knitr
Collate: utils.R list_ftp_dir.R rankSeqlevels.R NCBI-utils.R
        UCSC-utils.R Ensembl-utils.R getChromInfoFromNCBI.R
        getChromInfoFromUCSC.R getChromInfoFromEnsembl.R
        loadTaxonomyDb.R mapGenomeBuilds.R seqinfo.R Seqinfo-class.R
        seqlevelsStyle.R seqlevels-wrappers.R GenomeDescription-class.R
        zzz.R
git_url: https://git.bioconductor.org/packages/GenomeInfoDb
git_branch: RELEASE_3_16
git_last_commit: 24d7cb9
git_last_commit_date: 2023-02-02
Date/Publication: 2023-02-02
NeedsCompilation: no
Packaged: 2023-02-02 21:37:08 UTC; biocbuild
Author: Sonali Arora [aut],
  Martin Morgan [aut],
  Marc Carlson [aut],
  Hervé Pagès [aut, cre],
  Prisca Chidimma Maduka [ctb],
  Atuhurira Kirabo Kakopo [ctb],
  Emmanuel Chigozie Elendu [ctb]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-genomeinfodb (1.34.9-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 13:38:34 +0100

r-bioc-genomeinfodb (1.34.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 13:33:02 +0100

r-bioc-genomeinfodb (1.34.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2023 14:15:37 +0100

r-bioc-genomeinfodb (1.34.4-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 13:38:45 +0100

r-bioc-genomeinfodb (1.34.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 22:10:54 +0100

r-bioc-genomeinfodb (1.32.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Sep 2022 15:06:11 +0200

=== debian/control ===
Source: r-bioc-genomeinfodb
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-s4vectors (>= 0.25.12),
               r-bioc-iranges,
               r-cran-rcurl,
               r-bioc-genomeinfodbdata
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomeinfodb
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomeinfodb.git
Homepage: https://bioconductor.org/packages/GenomeInfoDb/
Rules-Requires-Root: no

Package: r-bioc-genomeinfodb
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor utilities for manipulating chromosome identifiers
 This package contains BioConductor utilities for manipulating
 chromosome and other 'seqname' identifiers.
 .
 The Seqnames package contains data and functions that define and allow
 translation between different chromosome sequence naming conventions
 (e.g., "chr1" versus "1"), including a function that attempts to place
 sequence names in their natural, rather than lexicographic, order.

## r-bioc-genomeinfodb 1.36.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -10,7 +10,7 @@
 URL: https://bioconductor.org/packages/GenomeInfoDb
 Video: http://youtu.be/wdEjCYSXa7w
 BugReports: https://github.com/Bioconductor/GenomeInfoDb/issues
-Version: 1.34.9
+Version: 1.36.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -21,6 +21,8 @@
 		email="hpages.on.github@gmail.com"),
 	person("Prisca Chidimma", "Maduka", role="ctb"),
 	person("Atuhurira Kirabo", "Kakopo", role="ctb"),
+	person("Haleema", "Khan", role="ctb",
+		comment="vignette translation from Sweave to Rmarkdown / HTML"),
 	person("Emmanuel Chigozie", "Elendu", role="ctb"))
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
         0.25.12), IRanges (>= 2.13.12)
@@ -37,17 +39,19 @@
         seqlevelsStyle.R seqlevels-wrappers.R GenomeDescription-class.R
         zzz.R
 git_url: https://git.bioconductor.org/packages/GenomeInfoDb
-git_branch: RELEASE_3_16
-git_last_commit: 24d7cb9
-git_last_commit_date: 2023-02-02
-Date/Publication: 2023-02-02
+git_branch: RELEASE_3_17
+git_last_commit: df7f76e
+git_last_commit_date: 2023-06-20
+Date/Publication: 2023-06-21
 NeedsCompilation: no
-Packaged: 2023-02-02 21:37:08 UTC; biocbuild
+Packaged: 2023-06-21 20:48:57 UTC; biocbuild
 Author: Sonali Arora [aut],
   Martin Morgan [aut],
   Marc Carlson [aut],
   Hervé Pagès [aut, cre],
   Prisca Chidimma Maduka [ctb],
   Atuhurira Kirabo Kakopo [ctb],
+  Haleema Khan [ctb] (vignette translation from Sweave to Rmarkdown /
+    HTML),
   Emmanuel Chigozie Elendu [ctb]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-genomeinfodb (1.36.1+dfsg-1) unstable; urgency=medium

  * Remove autogenerated HTML docs since it is including compressed JS
  * New upstream version
  * Fixed debian/watch for BioConductor

 -- Charles Plessy <plessy@debian.org>  Fri, 21 Jul 2023 06:38:18 +0000

r-bioc-genomeinfodb (1.34.9+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 13:38:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: r-bioc-genomeinfodb
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name test_seqlevelsStyle.R -exec sed -i '/test_seqlevelsStyle_Seqinfo <- function()/,/^}/d' \{\} \;

## r-bioc-genomeinfodb 1.36.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -10,7 +10,7 @@
 URL: https://bioconductor.org/packages/GenomeInfoDb
 Video: http://youtu.be/wdEjCYSXa7w
 BugReports: https://github.com/Bioconductor/GenomeInfoDb/issues
-Version: 1.36.1
+Version: 1.36.2
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -40,11 +40,11 @@
         zzz.R
 git_url: https://git.bioconductor.org/packages/GenomeInfoDb
 git_branch: RELEASE_3_17
-git_last_commit: df7f76e
-git_last_commit_date: 2023-06-20
-Date/Publication: 2023-06-21
+git_last_commit: 89ef91a
+git_last_commit_date: 2023-08-25
+Date/Publication: 2023-08-25
 NeedsCompilation: no
-Packaged: 2023-06-21 20:48:57 UTC; biocbuild
+Packaged: 2023-08-25 20:54:46 UTC; biocbuild
 Author: Sonali Arora [aut],
   Martin Morgan [aut],
   Marc Carlson [aut],

## r-bioc-genomeinfodb 1.38.6+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -10,7 +10,7 @@
 URL: https://bioconductor.org/packages/GenomeInfoDb
 Video: http://youtu.be/wdEjCYSXa7w
 BugReports: https://github.com/Bioconductor/GenomeInfoDb/issues
-Version: 1.36.2
+Version: 1.38.6
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -27,24 +27,26 @@
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
         0.25.12), IRanges (>= 2.13.12)
 Imports: stats, stats4, utils, RCurl, GenomeInfoDbData
-Suggests: GenomicRanges, Rsamtools, GenomicAlignments, GenomicFeatures,
-        TxDb.Dmelanogaster.UCSC.dm3.ensGene, BSgenome,
+Suggests: R.utils, data.table, GenomicRanges, Rsamtools,
+        GenomicAlignments, GenomicFeatures, BSgenome,
+        TxDb.Dmelanogaster.UCSC.dm3.ensGene,
         BSgenome.Scerevisiae.UCSC.sacCer2, BSgenome.Celegans.UCSC.ce2,
         BSgenome.Hsapiens.NCBI.GRCh38, RUnit, BiocStyle, knitr
 VignetteBuilder: knitr
-Collate: utils.R list_ftp_dir.R rankSeqlevels.R NCBI-utils.R
-        UCSC-utils.R Ensembl-utils.R getChromInfoFromNCBI.R
-        getChromInfoFromUCSC.R getChromInfoFromEnsembl.R
-        loadTaxonomyDb.R mapGenomeBuilds.R seqinfo.R Seqinfo-class.R
-        seqlevelsStyle.R seqlevels-wrappers.R GenomeDescription-class.R
-        zzz.R
+Collate: utils.R fetch_table_from_Ensembl_FTP.R list_ftp_dir.R
+        rankSeqlevels.R NCBI-utils.R UCSC-utils.R Ensembl-utils.R
+        getChromInfoFromNCBI.R getChromInfoFromUCSC.R
+        getChromInfoFromEnsembl.R loadTaxonomyDb.R mapGenomeBuilds.R
+        seqinfo.R Seqinfo-class.R seqlevelsStyle.R seqlevels-wrappers.R
+        GenomeDescription-class.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomeInfoDb
-git_branch: RELEASE_3_17
-git_last_commit: 89ef91a
-git_last_commit_date: 2023-08-25
-Date/Publication: 2023-08-25
+git_branch: RELEASE_3_18
+git_last_commit: 8f0cfd7
+git_last_commit_date: 2024-02-07
+Repository: Bioconductor 3.18
+Date/Publication: 2024-02-08
 NeedsCompilation: no
-Packaged: 2023-08-25 20:54:46 UTC; biocbuild
+Packaged: 2024-02-08 22:11:37 UTC; biocbuild
 Author: Sonali Arora [aut],
   Martin Morgan [aut],
   Marc Carlson [aut],

=== debian/changelog ===
r-bioc-genomeinfodb (1.38.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 13:34:39 +0100

r-bioc-genomeinfodb (1.38.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 02 Jan 2024 13:55:55 +0100

r-bioc-genomeinfodb (1.38.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2023 13:36:52 +0100

r-bioc-genomeinfodb (1.38.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 00:39:51 +0000

r-bioc-genomeinfodb (1.36.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 09 Oct 2023 10:13:01 +0200

r-bioc-genomeinfodb (1.36.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 17 Sep 2023 22:56:49 +0200

r-bioc-genomeinfodb (1.36.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 31 Aug 2023 16:43:20 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.37.0),
-               r-bioc-s4vectors (>= 0.25.12),
+               r-bioc-s4vectors,
                r-bioc-iranges,
                r-cran-rcurl,
                r-bioc-genomeinfodbdata

## r-bioc-genomeinfodb 1.40.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -10,7 +10,7 @@
 URL: https://bioconductor.org/packages/GenomeInfoDb
 Video: http://youtu.be/wdEjCYSXa7w
 BugReports: https://github.com/Bioconductor/GenomeInfoDb/issues
-Version: 1.38.6
+Version: 1.40.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -26,27 +26,27 @@
 	person("Emmanuel Chigozie", "Elendu", role="ctb"))
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
         0.25.12), IRanges (>= 2.13.12)
-Imports: stats, stats4, utils, RCurl, GenomeInfoDbData
+Imports: stats, stats4, utils, UCSC.utils, GenomeInfoDbData
 Suggests: R.utils, data.table, GenomicRanges, Rsamtools,
         GenomicAlignments, GenomicFeatures, BSgenome,
         TxDb.Dmelanogaster.UCSC.dm3.ensGene,
         BSgenome.Scerevisiae.UCSC.sacCer2, BSgenome.Celegans.UCSC.ce2,
         BSgenome.Hsapiens.NCBI.GRCh38, RUnit, BiocStyle, knitr
 VignetteBuilder: knitr
-Collate: utils.R fetch_table_from_Ensembl_FTP.R list_ftp_dir.R
+Collate: utils.R fetch_table_dump_from_Ensembl_FTP.R list_ftp_dir.R
         rankSeqlevels.R NCBI-utils.R UCSC-utils.R Ensembl-utils.R
         getChromInfoFromNCBI.R getChromInfoFromUCSC.R
         getChromInfoFromEnsembl.R loadTaxonomyDb.R mapGenomeBuilds.R
         seqinfo.R Seqinfo-class.R seqlevelsStyle.R seqlevels-wrappers.R
         GenomeDescription-class.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomeInfoDb
-git_branch: RELEASE_3_18
-git_last_commit: 8f0cfd7
-git_last_commit_date: 2024-02-07
-Repository: Bioconductor 3.18
-Date/Publication: 2024-02-08
+git_branch: RELEASE_3_19
+git_last_commit: 00bb347
+git_last_commit_date: 2024-05-22
+Repository: Bioconductor 3.19
+Date/Publication: 2024-05-24
 NeedsCompilation: no
-Packaged: 2024-02-08 22:11:37 UTC; biocbuild
+Packaged: 2024-05-24 21:17:06 UTC; biocbuild
 Author: Sonali Arora [aut],
   Martin Morgan [aut],
   Marc Carlson [aut],

=== debian/changelog ===
r-bioc-genomeinfodb (1.40.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 00:23:25 +0200

r-bioc-genomeinfodb (1.40.1+dfsg-1~0exp2) experimental; urgency=medium

  * Team upload.
  * d/control: adjust minimum version of r-bioc-ucsc.utils

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 18:01:54 +0200

r-bioc-genomeinfodb (1.40.1+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 13:35:11 +0200

r-bioc-genomeinfodb (1.40.1+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 19:10:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.37.0),
-               r-bioc-s4vectors,
-               r-bioc-iranges,
-               r-cran-rcurl,
-               r-bioc-genomeinfodbdata
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-ucsc.utils (>> 1.0.0+ds-1),
+               r-bioc-genomeinfodbdata (>= 1.2.12)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomeinfodb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomeinfodb.git
@@ -22,9 +22,20 @@
 Package: r-bioc-genomeinfodb
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-ucsc.utils (>> 1.0.0+ds-1),
+         r-bioc-genomeinfodbdata (>= 1.2.12)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-genomicranges (>= 1.56.1),
+          r-bioc-rsamtools (>= 2.20.0),
+          r-bioc-genomicalignments (>= 1.40.0),
+          r-bioc-genomicfeatures (>= 1.56.0),
+          r-bioc-bsgenome (>= 1.72.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: BioConductor utilities for manipulating chromosome identifiers
  This package contains BioConductor utilities for manipulating
  chromosome and other 'seqname' identifiers.

## r-bioc-genomeinfodb 1.42.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -10,7 +10,7 @@
 URL: https://bioconductor.org/packages/GenomeInfoDb
 Video: http://youtu.be/wdEjCYSXa7w
 BugReports: https://github.com/Bioconductor/GenomeInfoDb/issues
-Version: 1.40.1
+Version: 1.42.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -40,13 +40,13 @@
         seqinfo.R Seqinfo-class.R seqlevelsStyle.R seqlevels-wrappers.R
         GenomeDescription-class.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomeInfoDb
-git_branch: RELEASE_3_19
-git_last_commit: 00bb347
-git_last_commit_date: 2024-05-22
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-24
+git_branch: RELEASE_3_20
+git_last_commit: 4ed5e0d
+git_last_commit_date: 2024-11-27
+Repository: Bioconductor 3.20
+Date/Publication: 2024-11-28
 NeedsCompilation: no
-Packaged: 2024-05-24 21:17:06 UTC; biocbuild
+Packaged: 2024-11-28 22:19:56 UTC; biocbuild
 Author: Sonali Arora [aut],
   Martin Morgan [aut],
   Marc Carlson [aut],

=== debian/changelog ===
r-bioc-genomeinfodb (1.42.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 12:32:47 +0100

r-bioc-genomeinfodb (1.42.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 06 Dec 2024 16:20:44 +0100

r-bioc-genomeinfodb (1.42.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:50:21 +0100

## r-bioc-genomeinfodb 1.42.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -10,7 +10,7 @@
 URL: https://bioconductor.org/packages/GenomeInfoDb
 Video: http://youtu.be/wdEjCYSXa7w
 BugReports: https://github.com/Bioconductor/GenomeInfoDb/issues
-Version: 1.42.1
+Version: 1.42.3
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -41,12 +41,12 @@
         GenomeDescription-class.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomeInfoDb
 git_branch: RELEASE_3_20
-git_last_commit: 4ed5e0d
-git_last_commit_date: 2024-11-27
+git_last_commit: 2f182bf
+git_last_commit_date: 2025-01-23
 Repository: Bioconductor 3.20
-Date/Publication: 2024-11-28
+Date/Publication: 2025-01-27
 NeedsCompilation: no
-Packaged: 2024-11-28 22:19:56 UTC; biocbuild
+Packaged: 2025-01-27 23:18:35 UTC; biocbuild
 Author: Sonali Arora [aut],
   Martin Morgan [aut],
   Marc Carlson [aut],

=== debian/changelog ===
r-bioc-genomeinfodb (1.42.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Feb 2025 09:15:39 +0900

=== debian/control ===
Source: r-bioc-genomeinfodb
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-ucsc.utils,
               r-bioc-genomeinfodbdata
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomeinfodb
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomeinfodb.git
Homepage: https://bioconductor.org/packages/GenomeInfoDb/
Rules-Requires-Root: no

Package: r-bioc-genomeinfodb
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor utilities for manipulating chromosome identifiers
 This package contains BioConductor utilities for manipulating
 chromosome and other 'seqname' identifiers.
 .
 The Seqnames package contains data and functions that define and allow
 translation between different chromosome sequence naming conventions
 (e.g., "chr1" versus "1"), including a function that attempts to place
 sequence names in their natural, rather than lexicographic, order.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
 https://www.bioconductor.org/packages/release/bioc/html/GenomeInfoDb.html .*/GenomeInfoDb_([\d\.]+)\.tar\.gz
